BigTableScanner (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.io.sstable.format.big

## Class BigTableScanner

- java.lang.Object
- - org.apache.cassandra.io.sstable.format.big.BigTableScanner

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, java.util.Iterator<OnDiskAtomIterator>, ISSTableScanner, CloseableIterator<OnDiskAtomIterator>

      public class BigTableScanner
      extends java.lang.Object
      implements ISSTableScanner

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BigTableScanner.EmptySSTableScanner`
    `protected class` | `BigTableScanner.KeyScanningIterator`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected RandomAccessReader` | `dfile`
    `protected RandomAccessReader` | `ifile`
    `protected java.util.Iterator<OnDiskAtomIterator>` | `iterator`
    `SSTableReader` | `sstable`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `java.lang.String` | `getBackingFiles()`
    `long` | `getCurrentPosition()`
    `long` | `getLengthInBytes()`
    `static ISSTableScanner` | `getScanner(SSTableReader sstable, java.util.Collection<Range<Token>> tokenRanges, com.google.common.util.concurrent.RateLimiter limiter)`
    `static ISSTableScanner` | `getScanner(SSTableReader sstable, DataRange dataRange, com.google.common.util.concurrent.RateLimiter limiter)`
    `boolean` | `hasNext()`
    `OnDiskAtomIterator` | `next()`
    `void` | `remove()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Field Detail

    - #### dfile

          protected final RandomAccessReader dfile

    - #### ifile

          protected final RandomAccessReader ifile

    - #### sstable

          public final SSTableReader sstable

    - #### iterator

          protected java.util.Iterator<OnDiskAtomIterator> iterator

  - ### Method Detail

    - #### getScanner

          public static ISSTableScanner getScanner(SSTableReader sstable,
                                                   DataRange dataRange,
                                                   com.google.common.util.concurrent.RateLimiter limiter)

    - #### getScanner

          public static ISSTableScanner getScanner(SSTableReader sstable,
                                                   java.util.Collection<Range<Token>> tokenRanges,
                                                   com.google.common.util.concurrent.RateLimiter limiter)

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Throws:
        `java.io.IOException`

    - #### getLengthInBytes

          public long getLengthInBytes()

      Specified by:
        `getLengthInBytes` in interface `ISSTableScanner`

    - #### getCurrentPosition

          public long getCurrentPosition()

      Specified by:
        `getCurrentPosition` in interface `ISSTableScanner`

    - #### getBackingFiles

          public java.lang.String getBackingFiles()

      Specified by:
        `getBackingFiles` in interface `ISSTableScanner`

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<OnDiskAtomIterator>`

    - #### next

          public OnDiskAtomIterator next()

      Specified by:
        `next` in interface `java.util.Iterator<OnDiskAtomIterator>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator<OnDiskAtomIterator>`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation